Package org.kie.internal.builder.conf

## Class KBuilderSeverityOption

- java.lang.Object
- - org.kie.internal.builder.conf.KBuilderSeverityOption

- All Implemented Interfaces:
    `java.io.Serializable`, `org.kie.api.conf.MultiValueOption`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `MultiValueKieBuilderOption`

      public class KBuilderSeverityOption
      extends java.lang.Object
      implements MultiValueKieBuilderOption

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<KBuilderSeverityOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` |

    - ### Fields inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static KBuilderSeverityOption` | `get​(java.lang.String key, java.lang.String severityString)` |
    `static KBuilderSeverityOption` | `get​(java.lang.String key, ResultSeverity severity)` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPropertyName()` |
    `ResultSeverity` | `getSeverity()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

      `type`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<KBuilderSeverityOption> KEY

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### get

          public static KBuilderSeverityOption get​(java.lang.String key,
                                                   ResultSeverity severity)

    - #### get

          public static KBuilderSeverityOption get​(java.lang.String key,
                                                   java.lang.String severityString)

    - #### getName

          public java.lang.String getName()

    - #### getSeverity

          public ResultSeverity getSeverity()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`